Get Solvent by ID
Get a single Solvent by ID.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
solvent_id
ID of the Solvent.
Headers
EARLY-ACCESS
Set to true to access beta operations via /api/v3.
Query parameters
returning
Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
omit
Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.
Response
OK
__typename
archiveReason
archived
calculatedMolecularWeight
The molecular weight of the solvent.
canonicalSmiles
The SMILES representation of the solvent after standardization.
code
Optional company-specific identifier for this solvent (e.g., “MH”, “DH”). Unique across both salts and solvents within a tenant.
createdAt
id
modifiedAt
molecularFormula
The molecular formula (e.g., “H2O”).
molfile
The molfile representation of the solvent.
name
Errors
400
Solvent Get Request Bad Request Error
403
Solvent Get Request Forbidden Error
404
Solvent Get Request Not Found Error
429
Solvent Get Request Too Many Requests Error
500
Solvent Get Request Internal Server Error